<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <TargetFramework>net6.0-windows</TargetFramework>
    <Nullable>enable</Nullable>
    <UseWPF>true</UseWPF>
    <UseWindowsForms>true</UseWindowsForms>
    <AssemblyVersion>1.0.1.0</AssemblyVersion>
    <ApplicationIcon>Templates\icon\Highway.ico</ApplicationIcon>
  </PropertyGroup>

  <ItemGroup>
    <None Remove="appsettings.json" />
    <None Remove="Highway.ico" />
    <None Remove="Icon.png" />
    <None Remove="Templates\image\background.jpg" />
    <None Remove="Templates\image\between.png" />
  </ItemGroup>

  <ItemGroup>
    <Content Include="appsettings.json">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Templates\icon\Highway.ico" />
  </ItemGroup>

  <ItemGroup>
    <Resource Include="Highway.ico" />
    <Resource Include="Icon.png" />
    <Resource Include="Templates\image\between.png" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\SlnMesnac.Common\SlnMesnac.Common.csproj" />
    <ProjectReference Include="..\SlnMesnac.Config\SlnMesnac.Config.csproj" />
    <ProjectReference Include="..\SlnMesnac.Extensions\SlnMesnac.Extensions.csproj" />
    <ProjectReference Include="..\SlnMesnac.Ioc\SlnMesnac.Ioc.csproj" />
    <ProjectReference Include="..\SlnMesnac.Model\SlnMesnac.Model.csproj" />
    <ProjectReference Include="..\SlnMesnac.Repository\SlnMesnac.Repository.csproj" />
    <ProjectReference Include="..\SlnMesnac.Rfid\SlnMesnac.Rfid.csproj" />
    <ProjectReference Include="..\SlnMesnac.Serilog\SlnMesnac.Serilog.csproj" />
    <ProjectReference Include="..\SlnMesnac.TouchSocket\SlnMesnac.TouchSocket.csproj" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="CommunityToolkit.Mvvm" Version="8.4.2" />
    <PackageReference Include="EPPlus" Version="8.5.3" />
    <PackageReference Include="Lierda.WPFHelper" Version="1.0.3" />
    <PackageReference Include="MaterialDesignThemes" Version="5.3.1" />
    <PackageReference Include="MvvmLightLibs" Version="5.4.1.1" />
    <PackageReference Include="NVelocity" Version="1.2.0" />
    <PackageReference Include="Rougamo.Fody" Version="5.0.2" />
    <PackageReference Include="Scrutor" Version="7.0.0" />
    <PackageReference Include="System.Text.Json" Version="11.0.0-preview.3.26207.106" />
    <PackageReference Include="WindowsAPICodePack-Shell" Version="1.1.1" />
  </ItemGroup>

  <ItemGroup>
    <Resource Include="Templates\image\background.jpg" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Page\Generate\" />
    <Folder Include="ViewModel\Generate\" />
  </ItemGroup>

</Project>
